unit Utextreme2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls ;

type
  TForm2 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    Button1: TButton;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);

  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form2: TForm2;


implementation

uses Utextreme;

{$R *.DFM}

procedure TForm2.Button2Click(Sender: TObject);
var i, anzahl,da,lang:integer;
satz, wort,ersatz:string;
begin
wort:=edit1.text;
ersatz:=edit2.text;
anzahl:=form1.memo1.lines.count; //zählt die Zeilen in Listbox1
lang:=length(wort); //zählt die Wortlänge
for i:=0 to anzahl-1 do
  begin
  satz:=form1.memo1.lines[i]; //liest die jeweilige Zeile aus
  repeat
  if pos(wort,satz)<> 0 then  //überprüft ob das Wort darin steht
      begin
      da:=pos(wort,satz); // ermittelt die Position
      delete(satz,da,lang);  // löscht das Wort
      insert(ersatz,satz,da); //fügt Ersatzwort ein
      end;
  until pos(wort,satz)=0; //Abbruch, wenn Wort nicht mehr in Zeile
  form1.memo1.lines[i]:=satz;// schreibt Zeile neu (mit Ersatzwort)
  end;
end;


procedure TForm2.Button1Click(Sender: TObject);
begin
edit1.clear;
edit2.clear;
form2.hide;

end;



end.
